Bug 88755 - Upgrade from 8.0 current to 9.0 does not upgrade sendmail which then has problem with OpenSSL
Summary: Upgrade from 8.0 current to 9.0 does not upgrade sendmail which then has prob...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-13 06:29 UTC by Need Real Name
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-18 20:48:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-04-13 06:29:14 UTC
Description of problem:
If sendmail in RH8 has been upgraded to 8.12.8-5.80, the installer will not
install the older sendmail 8.12.8-4.90 included with RH9.  Sendmail 8.12.8-5.80
then has problems finding an ssl library it can use.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install 8.0
2.  Upgrade sendmail to 8.12.8-5.80
3.  Do an upgrade install of RH9
    
Actual results:
Sendmail fails to start at boot and with subsequent "service sendmail start"
commands

Expected results:
Sendmail runs at startup

Additional info:
Manual fix is to "rpm -e sendmail" and then "rpm -ivh
sendmail-8.12.8-4.i396.rpm" from RH9.

Comment 1 Jeremy Katz 2003-05-16 21:29:39 UTC
Can you show the output of what happens when you try to start sendmail, `rpm -qa
|grep sendmail`, and `rpm -qa |grep openssl`?

Comment 2 Michael Fulbright 2003-06-18 20:48:11 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.